# -*- coding: utf-8 -*-
# Generated by Django 1.11.11 on 2018-04-03 09:54
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import djangocms_text_ckeditor.fields
import filer.fields.file
import filer.fields.image


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('filer', '0007_auto_20161016_1055'),
        ('cms', '0018_pagenode'),
        migrations.swappable_dependency(settings.FILER_IMAGE_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='CompleteImageSlide',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='djangocms_complete_slider_completeimageslide', serialize=False, to='cms.CMSPlugin')),
                ('link', models.URLField(blank=True, null=True, verbose_name='Image link')),
                ('slideTransition', models.CharField(choices=[('fade', 'fade'), ('fade2', 'fade2'), ('slideLeft', 'slideLeft'), ('slideLeft2', 'slideLeft2'), ('slideRight', 'slideRight'), ('slideRight2', 'slideRight2'), ('slideUp', 'slideUp'), ('slideUp2', 'slideUp2'), ('slideDown', 'slideDown'), ('slideDown2', 'slideDown2'), ('zoomIn', 'zoomIn'), ('zoomIn2', 'zoomIn2'), ('zoomOut', 'zoomOut'), ('zoomOut2', 'zoomOut2'), ('swirlLeft', 'swirlLeft'), ('swirlLeft2', 'swirlLeft2'), ('swirlRight', 'swirlRight'), ('swirlRight2', 'swirlRight2'), ('burn', 'burn'), ('burn2', 'burn2'), ('blur', 'blur'), ('blur2', 'blur2'), ('flash', 'flash'), ('flash2', 'flash2')], default='F', max_length=30)),
                ('caption', djangocms_text_ckeditor.fields.HTMLField(blank=True, null=True)),
                ('image', filer.fields.image.FilerImageField(on_delete=django.db.models.deletion.CASCADE, related_name='slide_images', to=settings.FILER_IMAGE_MODEL, verbose_name='Image')),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin',),
        ),
        migrations.CreateModel(
            name='CompleteSlider',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='djangocms_complete_slider_completeslider', serialize=False, to='cms.CMSPlugin')),
                ('slide', models.PositiveIntegerField(default=0, verbose_name='Index number of initial slide')),
                ('timer', models.BooleanField(default=False, verbose_name='Display timer bar')),
                ('autoplay', models.BooleanField(default=True, verbose_name='Start the Slideshow automatically')),
                ('loop', models.BooleanField(default=True, verbose_name='Loop the Slideshow')),
                ('delay', models.PositiveIntegerField(default=5000, verbose_name='Delay between slides in milliseconds')),
                ('transitionDuration', models.PositiveIntegerField(default=1000, verbose_name='Transition duration in milliseconds')),
                ('firstTransition', models.CharField(choices=[('fade', 'fade'), ('fade2', 'fade2'), ('slideLeft', 'slideLeft'), ('slideLeft2', 'slideLeft2'), ('slideRight', 'slideRight'), ('slideRight2', 'slideRight2'), ('slideUp', 'slideUp'), ('slideUp2', 'slideUp2'), ('slideDown', 'slideDown'), ('slideDown2', 'slideDown2'), ('zoomIn', 'zoomIn'), ('zoomIn2', 'zoomIn2'), ('zoomOut', 'zoomOut'), ('zoomOut2', 'zoomOut2'), ('swirlLeft', 'swirlLeft'), ('swirlLeft2', 'swirlLeft2'), ('swirlRight', 'swirlRight'), ('swirlRight2', 'swirlRight2'), ('burn', 'burn'), ('burn2', 'burn2'), ('blur', 'blur'), ('blur2', 'blur2'), ('flash', 'flash'), ('flash2', 'flash2')], default='F', max_length=30, verbose_name='Transition of the first slide only')),
                ('defaultTransition', models.CharField(choices=[('fade', 'fade'), ('fade2', 'fade2'), ('slideLeft', 'slideLeft'), ('slideLeft2', 'slideLeft2'), ('slideRight', 'slideRight'), ('slideRight2', 'slideRight2'), ('slideUp', 'slideUp'), ('slideUp2', 'slideUp2'), ('slideDown', 'slideDown'), ('slideDown2', 'slideDown2'), ('zoomIn', 'zoomIn'), ('zoomIn2', 'zoomIn2'), ('zoomOut', 'zoomOut'), ('zoomOut2', 'zoomOut2'), ('swirlLeft', 'swirlLeft'), ('swirlLeft2', 'swirlLeft2'), ('swirlRight', 'swirlRight'), ('swirlRight2', 'swirlRight2'), ('burn', 'burn'), ('burn2', 'burn2'), ('blur', 'blur'), ('blur2', 'blur2'), ('flash', 'flash'), ('flash2', 'flash2')], default='F', max_length=30, verbose_name='Default transition for all slides')),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin',),
        ),
        migrations.CreateModel(
            name='CompleteVideoSlide',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='djangocms_complete_slider_completevideoslide', serialize=False, to='cms.CMSPlugin')),
                ('link', models.URLField(blank=True, null=True, verbose_name='Video link')),
                ('slideTransition', models.CharField(choices=[('fade', 'fade'), ('fade2', 'fade2'), ('slideLeft', 'slideLeft'), ('slideLeft2', 'slideLeft2'), ('slideRight', 'slideRight'), ('slideRight2', 'slideRight2'), ('slideUp', 'slideUp'), ('slideUp2', 'slideUp2'), ('slideDown', 'slideDown'), ('slideDown2', 'slideDown2'), ('zoomIn', 'zoomIn'), ('zoomIn2', 'zoomIn2'), ('zoomOut', 'zoomOut'), ('zoomOut2', 'zoomOut2'), ('swirlLeft', 'swirlLeft'), ('swirlLeft2', 'swirlLeft2'), ('swirlRight', 'swirlRight'), ('swirlRight2', 'swirlRight2'), ('burn', 'burn'), ('burn2', 'burn2'), ('blur', 'blur'), ('blur2', 'blur2'), ('flash', 'flash'), ('flash2', 'flash2')], default='F', max_length=30)),
                ('loop', models.BooleanField(default=True, verbose_name='Loop the video')),
                ('mute', models.BooleanField(default=True, verbose_name='Mute the video')),
                ('caption', djangocms_text_ckeditor.fields.HTMLField(blank=True, null=True)),
                ('poster', filer.fields.image.FilerImageField(on_delete=django.db.models.deletion.CASCADE, related_name='slide_videos', to=settings.FILER_IMAGE_MODEL, verbose_name='Video Poster')),
                ('video', filer.fields.file.FilerFileField(on_delete=django.db.models.deletion.CASCADE, to='filer.File', verbose_name='Video')),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin',),
        ),
    ]
